public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jimi Huotari" <chiitoo@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/wine:master commit in: app-emulation/winetricks/
Date: Tue, 24 Dec 2019 21:50:44 +0000 (UTC)	[thread overview]
Message-ID: <1577224069.210c9ee629ddc2d50c62e317b010869a6587ec63.chiitoo@gentoo> (raw)

commit:     210c9ee629ddc2d50c62e317b010869a6587ec63
Author:     Jimi Huotari <chiitoo <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 24 21:47:49 2019 +0000
Commit:     Jimi Huotari <chiitoo <AT> gentoo <DOT> org>
CommitDate: Tue Dec 24 21:47:49 2019 +0000
URL:        https://gitweb.gentoo.org/repo/proj/wine.git/commit/?id=210c9ee6

app-emulation/winetricks: add version 20191224

Package-Manager: Portage-2.3.83, Repoman-2.3.20
Signed-off-by: Jimi Huotari <chiitoo <AT> gentoo.org>

 app-emulation/winetricks/Manifest                  |  1 +
 .../winetricks/winetricks-20191224.ebuild          | 86 ++++++++++++++++++++++
 2 files changed, 87 insertions(+)

diff --git a/app-emulation/winetricks/Manifest b/app-emulation/winetricks/Manifest
index 2c6ad93..3e226af 100644
--- a/app-emulation/winetricks/Manifest
+++ b/app-emulation/winetricks/Manifest
@@ -1,2 +1,3 @@
 DIST winetricks-20190912.tar.gz 679544 BLAKE2B 633c407f8560fa3aa38806befded957d0bf1276164483b08fb3ef285fe873531d6362ae6305f5a33a85891d75990e6e0271fe954358e49425c4f36f0f918f48d SHA512 a0017cc08c56a511e523116daf2024b1462460d00b3d07de87720c7912dccab3d953db3653d7d611c5ae3b457a45de8d36688ee703e805c1e1f5be5c0fa7739f
+DIST winetricks-20191224.tar.gz 683074 BLAKE2B 53e89f57883c7527e083610d4ea036887cc8e058d281ee77b0e8fd7dec8520bcd27d5d86f6cadfa5d11bc191a33571086128e6729642e7f302dc37e27b1ce402 SHA512 31c0866e78d866e569da6c1123af7823a07b6358a79fcba84296938d89a39447ec9f504ca524471abc74ec2e3b24024bbc8a579413b4fe0ee74b1d5612f5d41a
 DIST winetricks-gentoo-2012.11.24.tar.bz2 6398 BLAKE2B 54a4502f6e8ef15d21b02c43e3ce599e32d476c2559246064de14cc4ce2243ff11dde681d24c8a7f4913c3d7a10b855bda47e8fb8ecad31e00d839705416be6f SHA512 59c93b73f3a7b2d11aefcde2ff66659ff1de21ad4b5f232f4b60572f3a48b15a6c49f369b1696862bf1b33fde190bf5598945e9536fb41ddec42d8def4d2be2a

diff --git a/app-emulation/winetricks/winetricks-20191224.ebuild b/app-emulation/winetricks/winetricks-20191224.ebuild
new file mode 100644
index 0000000..900a5b5
--- /dev/null
+++ b/app-emulation/winetricks/winetricks-20191224.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop xdg
+
+if [[ ${PV} == "99999999" ]] ; then
+	EGIT_REPO_URI="https://github.com/Winetricks/${PN}.git"
+	inherit git-r3
+	SRC_URI=""
+else
+	SRC_URI="https://github.com/Winetricks/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+wtg="winetricks-gentoo-2012.11.24"
+
+SRC_URI="${SRC_URI}
+	gtk? ( https://dev.gentoo.org/~chiitoo/distfiles/${wtg}.tar.bz2 )
+	kde? ( https://dev.gentoo.org/~chiitoo/distfiles/${wtg}.tar.bz2 )
+"
+
+DESCRIPTION="Easy way to install DLLs needed to work around problems in Wine"
+HOMEPAGE="https://github.com/Winetricks/winetricks https://wiki.winehq.org/Winetricks"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+IUSE="gtk kde rar test"
+
+BDEPEND="
+	test? (
+		dev-python/bashate
+		dev-util/checkbashisms
+		dev-util/shellcheck
+	)
+"
+DEPEND=""
+RDEPEND="${DEPEND}
+	app-arch/cabextract
+	app-arch/p7zip
+	app-arch/unzip
+	net-misc/wget
+	virtual/wine
+	x11-misc/xdg-utils
+	gtk? ( gnome-extra/zenity )
+	kde? ( kde-apps/kdialog )
+	rar? ( app-arch/unrar )
+"
+
+# Test targets include syntax checks only, not the "heavy duty" tests
+# that would require a lot of disk space, as well as network access.
+
+# This uses a non-standard "Wine" category, which is provided by
+# '/etc/xdg/menus/applications-merged/wine.menu' from the
+# 'app-emulation/wine-desktop-common' package.
+# https://bugs.gentoo.org/451552
+QA_DESKTOP_FILE="usr/share/applications/winetricks.desktop"
+
+src_unpack() {
+	if [[ ${PV} == "99999999" ]]; then
+		git-r3_src_unpack
+
+		if use gtk || use kde; then
+			unpack ${wtg}.tar.bz2
+		fi
+
+	else
+		default
+	fi
+}
+
+src_test() {
+	./tests/shell-checks || die "Test(s) failed."
+}
+
+src_install() {
+	default
+
+	if use gtk || use kde; then
+		cd "${WORKDIR}/${wtg}" || die
+		domenu winetricks.desktop
+		insinto /usr/share/icons/hicolor/scalable/apps
+		doins wine-winetricks.svg
+	fi
+}


             reply	other threads:[~2019-12-24 21:50 UTC|newest]

Thread overview: 42+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-12-24 21:50 Jimi Huotari [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-04-11 13:55 [gentoo-commits] repo/proj/wine:master commit in: app-emulation/winetricks/ Jimi Huotari
2022-04-11 13:55 Jimi Huotari
2021-08-25 18:30 Jimi Huotari
2021-04-16 21:09 Jimi Huotari
2021-04-16 21:09 Jimi Huotari
2021-02-22 13:25 Jimi Huotari
2021-02-22 13:25 Jimi Huotari
2021-01-18  2:42 Jimi Huotari
2021-01-18  2:42 Jimi Huotari
2020-11-17  0:32 Jimi Huotari
2020-11-17  0:32 Jimi Huotari
2020-11-17  0:32 Jimi Huotari
2020-06-30 14:02 Jimi Huotari
2020-04-15 12:43 Jimi Huotari
2019-12-25  0:58 Nick Sarnie
2019-12-25  0:56 Nick Sarnie
2019-12-25  0:56 Nick Sarnie
2019-11-26 15:32 Jimi Huotari
2019-11-26 15:32 Jimi Huotari
2019-09-16 21:45 Jimi Huotari
2019-09-13 11:35 Jimi Huotari
2019-06-21  8:37 Jimi Huotari
2019-05-27  8:42 Jimi Huotari
2019-05-27  8:42 Jimi Huotari
2019-03-10 13:48 Jimi Huotari
2019-03-10 13:48 Jimi Huotari
2019-03-10 13:48 Jimi Huotari
2019-03-10 13:48 Jimi Huotari
2019-01-17 21:18 Jimi Huotari
2019-01-17 21:18 Jimi Huotari
2018-08-30  9:01 Jimi Huotari
2018-08-30  9:01 Jimi Huotari
2018-06-03 17:05 Nick Sarnie
2018-05-16 14:33 Jimi Huotari
2018-04-12  9:51 Jimi Huotari
2018-04-12  9:51 Jimi Huotari
2018-01-20 12:30 Jimi Huotari
2018-01-14 18:00 Jimi Huotari
2018-01-14 18:00 Jimi Huotari
2018-01-14 18:00 Jimi Huotari
2018-01-14 18:00 Jimi Huotari

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1577224069.210c9ee629ddc2d50c62e317b010869a6587ec63.chiitoo@gentoo \
    --to=chiitoo@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox